Transmitter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Interface Transmitter

public interface Transmitter

A `Transmitter` sends ``MidiEvent`` objects to one or more ``Receivers``. Common MIDI transmitters include sequencers and MIDI input ports.

See Also:
  `Receiver`

Method Summary
`void` | `close()` Indicates that the application has finished using the transmitter, and that limited resources it requires may be released or made available.
`Receiver` | `getReceiver()` Obtains the current receiver to which this transmitter will deliver MIDI messages.
`void` | `setReceiver(Receiver receiver)` Sets the receiver to which this transmitter will deliver MIDI messages.

Method Detail

### setReceiver

    public void setReceiver(Receiver receiver)

  Sets the receiver to which this transmitter will deliver MIDI messages. If a receiver is currently set, it is replaced with this one.

  Parameters:
    `receiver` - the desired receiver.

### getReceiver

    public Receiver getReceiver()

  Obtains the current receiver to which this transmitter will deliver MIDI messages.

  Returns:
    the current receiver. If no receiver is currently set, returns `null`

### close

    public void close()

  Indicates that the application has finished using the transmitter, and that limited resources it requires may be released or made available. Invoking methods on a receiver which has been closed may cause an `IllegalArgumentException` or other exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.